Package pyplusplus :: Package file_writers :: Module single_file :: Class single_file_t

# type single_file_t

source code

         object --+
                  |
    writer.writer_t --+
                      |
                     single_file_t

generates all code into single cpp file

Instance Methods

__init__(self, extmodule, file_name, encoding=`'``ascii``'`) | source code

write(self) Main write method. | source code

Inherited from `writer.writer_t`: `get_user_headers`, `save_exposed_decls_db`, `write_code_repository`

Static Methods
Inherited from `writer.writer_t`: `create_backup`, `write_file`

Class Variables
Inherited from `writer.writer_t`: `logger`

Properties
| file_name
Inherited from `writer.writer_t`: `encoding`, `extmodule`, `files_sum_repository`

Method Details

### __init__(self, extmodule, file_name, encoding=`'``ascii``'`)
(Constructor)

source code

Overrides: writer.writer_t.__init__

### write(self)

source code

Main write method. Should be overridden by derived classes.

Overrides: writer.writer_t.write
  (inherited documentation)

Property Details

### file_name